# Class Signage#setIsmMethod

Signage

- Defined in: signage.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Signage#setIsmMethod(successCallback, errorCallback, options) Sets ISM(Image Sticking Minimization) Method.

## Class Detail

Signage#setIsmMethod(successCallback, errorCallback, options)

Sets ISM(Image Sticking Minimization) Method.

    function setIsmMethod() {
       var options = {
         ismMethod : Signage.IsmMethod.NORMAL
       };

       var successCb = function (){
         console.log("Successfully set ISM Method");
       };

       var failureCb = function(cbObject){
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log( " Error Code [" + errorCode + "]: " + errorText);
       };

       var signage = new Signage();
       signage.setIsmMethod (successCb, failureCb, options);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.
{Object} options
  parameter list.
{Signage.IsmMethod} options.ismMethod
  ISM Method.

Since:
  1.0
Returns:

  After the method is successfully executed, successCallback is called without any parameter. If an error occurs, errorCallback is called with errorCode and errorText.